curl --request POST \
--url https://{host}/member/v1/members/import \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"memberId": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"address": {
"zipCode": "<string>",
"city": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"region": "<string>",
"countryCode": "<string>"
},
"genderId": "<string>",
"selectedStoreId": "<string>",
"loyaltyProgram": "<string>",
"isEmployee": true,
"nationality": "<string>",
"metadata": {},
"deceased": true,
"homeTelephone": "<string>",
"isMembershipFeePaid": true,
"customProperties": {}
}
]
'import requests
url = "https://{host}/member/v1/members/import"
payload = [
{
"memberId": "<string>",
"isActive": True,
"createdAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"address": {
"zipCode": "<string>",
"city": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"region": "<string>",
"countryCode": "<string>"
},
"genderId": "<string>",
"selectedStoreId": "<string>",
"loyaltyProgram": "<string>",
"isEmployee": True,
"nationality": "<string>",
"metadata": {},
"deceased": True,
"homeTelephone": "<string>",
"isMembershipFeePaid": True,
"customProperties": {}
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
memberId: '<string>',
isActive: true,
createdAt: '2023-11-07T05:31:56Z',
email: '<string>',
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
birthdate: '2023-11-07T05:31:56Z',
address: {
zipCode: '<string>',
city: '<string>',
addressLine1: '<string>',
addressLine2: '<string>',
region: '<string>',
countryCode: '<string>'
},
genderId: '<string>',
selectedStoreId: '<string>',
loyaltyProgram: '<string>',
isEmployee: true,
nationality: '<string>',
metadata: {},
deceased: true,
homeTelephone: '<string>',
isMembershipFeePaid: true,
customProperties: {}
}
])
};
fetch('https://{host}/member/v1/members/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"importedCount": 123,
"updatedCount": 123,
"skipped": [
{
"memberId": "<string>",
"reason": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Imports or updates members.
This endpoint will handle adding new members or updating existing members based on the provided data.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
Members to import or update
1Member ID
1 - 36Indicates whether the member account is active
Date and time when the member account was created in ISO 8601 format (e.g., "2012-03-19T07:22Z")
Member's email address
256Member's first name
64Member's last name
64Member's phone number
32Member's birthdate in ISO 8601 format (e.g., "2012-03-19T07:22Z")
Show child attributes
Show child attributes
Member's gender identifier
ID of the member's preferred store
64Loyalty program or tier (e.g., Silver, Gold, Freemium)
64Indicates whether the member is an employee
Member's nationality
64Additional metadata associated with the member
Show child attributes
Show child attributes
Indicates whether the member is deceased
Member's home telephone number
32Indicates whether the membership fee has been paid
Custom typed properties to assign to the member
Show child attributes
Show child attributes